Säkerhetsbulletin från Debian

DSA-4503-1 golang-1.11 -- säkerhetsuppdatering

Rapporterat den:
2019-08-18
Berörda paket:
golang-1.11
Sårbara:
Ja
Referenser i säkerhetsdatabaser:
I Mitres CVE-förteckning: CVE-2019-9512, CVE-2019-9514, CVE-2019-14809.
Ytterligare information:

Tre sårbarheter har upptäckts i programmeringsspråket Go; "net/url" accepterade några ogiltiga värdar i URLer, vilket kunde resultera i förbigång av auktorisering i vissa applikationer och implementationen av HTTP/2 var sårbar för överbelastning.

För den stabila utgåvan (Buster) har dessa problem rättats i version 1.11.6-1+deb10u1.

Vi rekommenderar att ni uppgraderar era golang-1.11-paket.

För detaljerad säkerhetsstatus om golang-1.11 vänligen se dess säkerhetsspårare på https://security-tracker.debian.org/tracker/golang-1.11